This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 197391 - kexec-tools does not work well with kickstart
kexec-tools does not work well with kickstart
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kexec-tools (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-30 15:47 EDT by Don Zickus
Modified: 2008-04-10 14:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: F5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-10 14:42:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
don't set the KDUMP_COMMANDLINE (912 bytes, patch)
2006-06-30 15:50 EDT, Don Zickus
no flags Details | Diff

  None (edit)
Description Don Zickus 2006-06-30 15:47:58 EDT
Description of problem:
When enabling the kexec-tools using kickstart, upon the subsequent reboot the
tool will crash with a commandline overflow.  This is because the kickstart
kernel commandline is huge and the huge line is passed to kexec which adds even
more ridiculous number of parameters.  
The solution is to not pass the kickstart info to kexec.

The patch is attached.  It has been discussed by Jeff Moyer, Vivek Goyal and
myself.  After much debate, we all agreed this patch is the way to go for now.
Comment 1 Don Zickus 2006-06-30 15:50:15 EDT
Created attachment 131825 [details]
don't set the KDUMP_COMMANDLINE
Comment 2 Neil Horman 2006-07-05 10:21:31 EDT
yeah, I don't like that we don't automatically build a command line on install,
but I don't see a better way around it at the moment.  Checked in for fc5 &
fc6/rhel5
Comment 3 Fedora Update System 2006-07-05 14:29:20 EDT
kexec-tools-1.101-20.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 4 Bug Zapper 2008-04-03 23:12:31 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.